This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 460198 - User Manager "Add User" does not allow adding to an existing group
User Manager "Add User" does not allow adding to an existing group
Status: CLOSED DUPLICATE of bug 428508
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-26 14:39 EDT by Darrell Tangman
Modified: 2014-03-26 10:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-26 10:31:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darrell Tangman 2008-08-26 14:39:42 EDT
Description of problem:

In the "Create New User" dialogue, if "Create a private group for the user" is disabled and both "Specify user ID manually" and "Specify group ID manually" are selected, entering the ID of an existing group results in an error message that complains that the group ID specified is already in use. If "Specify user ID manually" is turned off, the request succeeds with the same group ID.

Version-Release number of selected component (if applicable):

1.2.79

How reproducible:


Steps to Reproduce:
1. System -> Administration -> Users and Groups
2. Click on Add User
3. Fill in the dialogue; turn off "Create a private group for the user".
4. Turn on "Specify user ID manually" and enter an unused user ID.
5. Turn on "Specify group ID manually" and enter a group ID that already exists.
6. Click on OK.
  
Actual results:
Pop-up displaying "The gid 100 is already in use." (The number matches the gid entered in the dialogue. Clicking on OK returns control to the "Create New User" dialogue without adding the new user.

Expected results:
The new user should be added to the display of users in the main interface of the User Manager application; the error should be displayed only when "Create a private group for the user" is turned on.

Additional info:
Comment 1 Bug Zapper 2009-06-09 22:33:26 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-11-16 03:12:00 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-11-04 07:48:07 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-05 02:08:31 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Nils Philippsen 2010-12-06 04:57:27 EST
Oh, this should have gone FutureFeature.
Comment 6 Jaromír Končický 2014-03-26 10:31:23 EDT

*** This bug has been marked as a duplicate of bug 428508 ***

Note You need to log in before you can comment on or make changes to this bug.